%define name 	watsup
%define version 3.5
%define release %mkrel 1

Summary: 	Monitor system resources and the top processes. 
Summary(de):	Die Systemauslastung beobachten
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
License: 	GPLv3+
Group: 		Monitoring
URL: 		http://kornelix.squarespace.com/dkopp/
Source0:	%{name}-%{version}.tar.xz
BuildRoot: 	%_tmppath/%{name}-%{version}-buildroot
Buildrequires: 	gcc-c++ 
BuildRequires:  %{_lib}gtk+3.0-devel
Buildrequires:	ImageMagick
Requires:	gtk+3.0
Requires:	smartmontools
Obsoletes: %{name} < %{version}

%description
Show CPU load, temperature, and disk and network IO rates in a small window that 
can fit in a panel. 
Click to show a larger window with details of system resource loadings and the 
top processes using those resources. Resources monitored: CPU, memory, file cache, 
hard and soft page faults, disk IO, network IO. Shows topmost processes fitting 
within the window size. Optionally select only processes matching a given user, 
PID, or program name. Select and kill an errant process.

%description -l de
Zeige CPU-Last, Temperatur und Festplatten- und Netzwerk-IO-Raten in einem kleinen Fenster, 
dass zu einem Panel angepasst werden kann.
Klicken Sie darauf um ein größeres Fenster mit Details der System-Ressourcen und den Belastungen anzuzeigen. 
Ressourcen die überwacht werden: CPU, Speicher, Cache-Datei,
harte und weiche Seitenfehler, Festplatten-IO, IO-Netzwerk. 

%prep
%setup -q 


%build

%make PREFIX=/usr

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT/usr

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Watsup
Exec=%{name}
Icon=%{name}
Comment=Monitor the system resources
Comment[de]=Systemauslastung beobachten
Terminal=false
Type=Application
Categories=GTK;System;X-MandrivaLinux-System-Monitoring;
EOF


# icon
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 icons/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 icons/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 icons/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

#remove
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/kornelix-watsup.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc %{_datadir}/doc/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png
%{_datadir}/man/man1/watsup.1.bz2

%changelog
* Sat May 28 2016 ghostbunny <ghostbunny at gmx dot de> 3.5-1pclos2016
- 3.5

* Thu Apr 24 2014 ghostbunny <ghostbunny at gmx dot de> 2.8-1pclos2014
- 2.8
- add R smartmontools

* Fri Mar 30 2012 Neal <nealbrks0 at gmail dot com> 2.3-1pclos2012
- process

* Thu Mar 29 2012 ghostbunny <ghostbunny at gmx dot de> 2.3-1pclos2012
- inital import
